# @putout/plugin-remove-boolean-from-assertion [![NPM version][NPMIMGURL]][NPMURL] [![Dependency Status][DependencyStatusIMGURL]][DependencyStatusURL]

[NPMIMGURL]: https://img.shields.io/npm/v/@putout/plugin-remove-boolean-from-assertion.svg?style=flat&longCache=true
[NPMURL]: https://npmjs.org/package/@putout/plugin-remove-boolean-from-assertion "npm"
[DependencyStatusURL]: https://david-dm.org/coderaiser/putout?path=packages/plugin-remove-boolean-from-assertion
[DependencyStatusIMGURL]: https://david-dm.org/coderaiser/putout.svg?path=packages/plugin-remove-boolean-from-assertion

`putout` plugin adds ability to remove `boolean` from `assertion`. Renamed to [@putout/plugin-remove-boolean-from-assertions](https://www.npmjs.com/package/@putout/plugin-remove-boolean-from-assertions).

## Install

```
npm i @putout/plugin-remove-boolean-from-assertion
```

## Rule

```json
{
    "rules": {
        "remove-boolean-from-assertion": "on"
    }
}
```

## ❌ Incorrect code example

```js
if (a === true)
    alert();
```

## ✅ Correct code Example

```js
if (a)
    alert();
```

## License

MIT
